Subject: Re: Disadvantages of ROM 3 with > 5mb RAM?
From: [email-masked] (Trangdaithi Hoang)
Date: 8 Dec 1994 04:06:32 GMT
Newsgroups: comp.sys.apple2

RE: Using CVTech 8 MB ram card on ROM 3

Here's what I did.  I removed the 7th and 8th MB and used 1 MB to
upgrade the Ramfast Rev. D from 256k to 1 MB (both cards use the
same 1 MB x 4 dram).  By doing this I will always have /RAM5 even
if I don't boot into GS/OS.  So, I only have 7 MB total ram instead
of 8 MB; no big loss.  The Ramfast Rev. D has two options for DMA.
The DMA option allows you to enable or disable DMA to the first 4 MB
on the ram card.  The TranswarpGS option allows you to enable/
disable DMA to the last 4 MB on the ram card.  Set the TWGS option to 
enable to disable DMA or set it to disable to enable DMA to the last
4 MB on the ram card.  CVTech advertised the two as being fully DMA 
compatible up to 8 MB.  For some reason, if I don't disable DMA to
the last 4 MB I will somtimes get the "file corrupt" error message in
GS Shrink while trying to open known good archives.  Do this test.
Run GS Shrink and then procede to open and close different archives
about a few dozen times.  If you don't get the "file corrupt" error
message then set the TWGS option to disable to enable DMA above 4 MB, 
otherwise set it to enable to disable DMA above 4 MB.  I get the "file 
corrupt" message with or without the Zip so that's not the problem.
I've tried the test on my friends' machines with different ram cards
and it does the same thing, so I suspect the Ramfast Rev. D.